Amazon Linux 2022 : (ALAS2022-2022-166)

medium Nessus プラグイン ID 167020

概要

リモートの Amazon Linux 2022 ホストに、セキュリティ更新プログラムがありません。

説明

したがって、ALAS2022-2022-166 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

-BIND 9.11.0-> 9.11.369.12.0-> 9.16.269.17.0-> 9.18.0BIND のサポートプレビューエディション: 9.11.4-S1 -> 9.11.36-S1 9.16.8-S1 -> 9.16.26-S1 されているバージョンより前のバージョンの BIND9 (9.1.0 に戻る、サポートプレビューエディションなど) も影響を受けると考えられていますが、EOL であるためテストされていません。
キャッシュが不適切なレコードで汚染されて、不適切なサーバーに対してクエリが実行される可能性があり、その場合に、誤った情報がクライアントに返されることもあります。(CVE-2021-25220)

- BIND 9.16.11-> 9.16.26, 9.17.0-> 9.18.0およびバージョン 9.16.11-S1 -> BIND Supported Preview Edition の 9.16.26-S1。特別に細工された TCP ストリームにより、クライアントが接続を終了した後でも、BIND への接続が無期限に CLOSE_WAITステータスを維持する可能性があります。
(CVE-2022-0396)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

「dnf update bind --releasever=2022.0.20221102」を実行してシステムを更新してください。

関連情報

https://alas.aws.amazon.com/AL2022/ALAS-2022-166.html

https://alas.aws.amazon.com/cve/html/CVE-2021-25220.html

https://alas.aws.amazon.com/cve/html/CVE-2022-0396.html

プラグインの詳細

深刻度: Medium

ID: 167020

ファイル名: al2022_ALAS2022-2022-166.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2022/11/5

更新日: 2022/11/29

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.2

CVSS v2

リスクファクター: Medium

Base Score: 4

Temporal Score: 3

ベクトル: AV:N/AC:L/Au:S/C:N/I:P/A:N

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-25220

CVSS v3

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5.9

ベクトル: CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:C/C:N/I:H/A:N

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:amazon:linux:bind, p-cpe:/a:amazon:linux:bind-chroot, p-cpe:/a:amazon:linux:bind-debuginfo, p-cpe:/a:amazon:linux:bind-debugsource, p-cpe:/a:amazon:linux:bind-devel, p-cpe:/a:amazon:linux:bind-dlz-filesystem, p-cpe:/a:amazon:linux:bind-dlz-filesystem-debuginfo, p-cpe:/a:amazon:linux:bind-dlz-ldap, p-cpe:/a:amazon:linux:bind-dlz-ldap-debuginfo, p-cpe:/a:amazon:linux:bind-dlz-mysql, p-cpe:/a:amazon:linux:bind-dlz-mysql-debuginfo, p-cpe:/a:amazon:linux:bind-dlz-sqlite3, p-cpe:/a:amazon:linux:bind-dlz-sqlite3-debuginfo, p-cpe:/a:amazon:linux:bind-dnssec-doc, p-cpe:/a:amazon:linux:bind-dnssec-utils, p-cpe:/a:amazon:linux:bind-dnssec-utils-debuginfo, p-cpe:/a:amazon:linux:bind-doc, p-cpe:/a:amazon:linux:bind-libs, p-cpe:/a:amazon:linux:bind-libs-debuginfo, p-cpe:/a:amazon:linux:bind-license, p-cpe:/a:amazon:linux:bind-pkcs11, p-cpe:/a:amazon:linux:bind-pkcs11-debuginfo, p-cpe:/a:amazon:linux:bind-pkcs11-devel, p-cpe:/a:amazon:linux:bind-pkcs11-libs, p-cpe:/a:amazon:linux:bind-pkcs11-libs-debuginfo, p-cpe:/a:amazon:linux:bind-pkcs11-utils, p-cpe:/a:amazon:linux:bind-pkcs11-utils-debuginfo, p-cpe:/a:amazon:linux:bind-utils, p-cpe:/a:amazon:linux:bind-utils-debuginfo, p-cpe:/a:amazon:linux:python3-bind, cpe:/o:amazon:linux:2022

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/11/1

脆弱性公開日: 2022/3/16

参照情報

CVE: CVE-2021-25220, CVE-2022-0396

IAVA: 2022-A-0122-S